bnclassify

Learning Discrete Bayesian Network Classifiers from Data

Implements state-of-the art algorithms for learning discrete Bayesian network classifiers from data, including a number of those described in Bielza & Larranaga (2014) <doi:10.1145/2576868>, as well as functions for using these classifiers for prediction, assessing their predictive performance, and inspecting their properties.

Total

7,506

Last month

1,485

Last week

1,321

Average per day

50

Daily downloads

Total downloads

Description file content

Package
bnclassify
Title
Learning Discrete Bayesian Network Classifiers from Data
Description
Implements state-of-the art algorithms for learning discrete Bayesian network classifiers from data, including a number of those described in Bielza & Larranaga (2014) , as well as functions for using these classifiers for prediction, assessing their predictive performance, and inspecting their properties.
Version
0.3.4
URL
BugReports
http://github.com/bmihaljevic/bnclassify/issues
Depends
R (>= 3.2.0)
Imports
assertthat (>= 0.1), entropy(>= 1.2.0), graph(>= 1.42.0), matrixStats(>= 0.14.0), RBGL(>= 1.40.1), rpart(>= 4.1-8)
Suggests
gRain(>= 1.2-3), gRbase(>= 1.7-0.1), mlr(>= 2.2), testthat(>= 0.8.1), knitr(>= 1.10.5), ParamHelpers(>= 1.5), Rgraphviz(>= 2.8.1), rmarkdown(>= 0.7), covr
License
GPL (>= 2)
Maintainer
Mihaljevic Bojan
VignetteBuilder
knitr
RoxygenNote
6.0.1
NeedsCompilation
no
Packaged
2018-01-12 19:18:49 UTC; bmihaljevic
Author
Mihaljevic Bojan [aut, cre], Bielza Concha [aut], Larranaga Pedro [aut], Wickham Hadley [ctb] (some code extracted from memoise package)
Repository
CRAN
Date/Publication
2018-01-13 00:32:24 UTC

install.packages('bnclassify')

0.3.4

4 days ago

http://github.com/bmihaljevic/bnclassify

Mihaljevic Bojan

GPL (>= 2)

Depends on

R (>= 3.2.0)

Imports

assertthat (>= 0.1), entropy(>= 1.2.0), graph(>= 1.42.0), matrixStats(>= 0.14.0), RBGL(>= 1.40.1), rpart(>= 4.1-8)

Suggests

gRain(>= 1.2-3), gRbase(>= 1.7-0.1), mlr(>= 2.2), testthat(>= 0.8.1), knitr(>= 1.10.5), ParamHelpers(>= 1.5), Rgraphviz(>= 2.8.1), rmarkdown(>= 0.7), covr

Discussions